Package com.sas.lsaf.core

## Class ValidationMessage

- java.lang.Object
- - com.sas.lsaf.core.ValidationMessage

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValidationMessage
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents validation information from a finding generated while performing an operation such as import or export.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ValidationMessage.Severity` | The possible values of validation message severity.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationMessage​(java.lang.String problem, ValidationMessage.Severity severity, java.lang.String columnName, int rowNumber)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getColumnName()` | Gets the column name, if applicable, associated with validation finding.
    `java.lang.String` | `getProblem()` | Gets the message for the validation finding.
    `int` | `getRowNumber()` | Gets the row number, if applicable, associated with validation finding.
    `ValidationMessage.Severity` | `getSeverity()` | Gets the severity of the validation finding.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationMessage

          public ValidationMessage​(java.lang.String problem,
                                   ValidationMessage.Severity severity,
                                   java.lang.String columnName,
                                   int rowNumber)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the validation messages returned by the API.
      Parameters:
        `problem` -
        `severity` -
        `columnName` -
        `rowNumber` -

  - ### Method Detail

    - #### getProblem

          public java.lang.String getProblem()

      Gets the message for the validation finding.
      Returns:
        The message for the validation finding.

    - #### getSeverity

          public ValidationMessage.Severity getSeverity()

      Gets the severity of the validation finding.
      Returns:
        The severity of the validation finding.

    - #### getColumnName

          public java.lang.String getColumnName()

      Gets the column name, if applicable, associated with validation finding. For example, a data set column name if importing from a data set.
      Returns:
        The column name, if applicable, associated with validation finding.

    - #### getRowNumber

          public int getRowNumber()

      Gets the row number, if applicable, associated with validation finding. For example, a data set row number if importing from a data set.
      Returns:
        The row number, if applicable, associated with validation finding.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`